%define module_name Astro-Coord-ECI-TLE-Iridium
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Astro/Coord/ECI/TLE.pm) perl(Astro/Coord/ECI/Utils.pm) perl(Carp.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(Module/Build.pm) perl(Module/Metadata.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(Test/Without/Module.pm) perl(base.pm) perl(constant.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.122
Release: alt1
Summary: Class to compute Iridium Classic flares
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WY/WYANT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class is a subclass of
Astro::Coord::ECI::TLE, representing
original-design Iridium satellites. This class will probably not work
for the Iridium Next satellites, which are being launched starting early
2017.

The `Astro::Coord::ECI::TLE->parse()' method makes use of
built-in data to determine which satellites to rebless into this class,
based on the object's NORAD SATCAT ID. This internal data can be
modified using the Astro::Coord::ECI::TLE->status method to correct
errors or for historical research. It is also possible to get an Iridium
object by calling $tle->rebless (iridium => {status => $status})
directly.

What this subclass adds is the ability to generate information on
Iridium flares (or glints, as they are also called). Members of this
class are considered capable of generating flares based on their status,
as follows:

 0 => in service
 1 => spare (may or may not flare)
 2 => failed - no predictable flares.

CelesTrak-style statuses ('+', 'S', and '-' respectively) are accepted
on input. See Astro::SpaceTrack method
iridium_status for a way to get current Iridium constellation status.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.MacOS
%perl_vendor_privlib/A*

%changelog
* Mon May 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.122-alt1
- updated by package builder

* Tue May 07 2019 Igor Vlasenko <viy@altlinux.ru> 0.121-alt1
- updated by package builder

* Tue Apr 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.120-alt1
- updated by package builder

* Thu Apr 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.119-alt1
- updated by package builder

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 0.118-alt1
- updated by package builder

* Tue Mar 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.117-alt1
- updated by package builder

* Tue Feb 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.116-alt1
- updated by package builder

* Thu Jan 31 2019 Igor Vlasenko <viy@altlinux.ru> 0.115-alt1
- regenerated from template by package builder

* Fri Jan 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.114-alt1
- regenerated from template by package builder

* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.113-alt1
- regenerated from template by package builder

* Thu Nov 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.112-alt1
- regenerated from template by package builder

* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.111-alt1
- regenerated from template by package builder

* Fri Oct 26 2018 Igor Vlasenko <viy@altlinux.ru> 0.110-alt1
- regenerated from template by package builder

* Mon Oct 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.109-alt1
- regenerated from template by package builder

* Thu Oct 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.108-alt1
- regenerated from template by package builder

* Tue Oct 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.107-alt1
- regenerated from template by package builder

* Sat Sep 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.106-alt1
- regenerated from template by package builder

* Wed Sep 12 2018 Igor Vlasenko <viy@altlinux.ru> 0.105-alt1
- regenerated from template by package builder

* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.104-alt1
- regenerated from template by package builder

* Sat Aug 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.103-alt1
- regenerated from template by package builder

* Tue Aug 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.102-alt1
- regenerated from template by package builder

* Fri Jul 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.101-alt1
- initial import by package builder

